TechDraw Horizontale Bemaßung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Horizontal and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Official icon not found {{{Name/de}}}

Menüeintrag
TechDraw → Horizontale Bemaßung
Arbeitsbereich
TechDraw
Standardtastenkürzel
Shift + H
In der Version eingeführt
-
Siehe auch
TechDraw Längenbemaßung, TechDraw Vertikale Bemaßung


Beschreibung

Das Werkzeug »Horizontale Längenbemaßung« fügt ein horizontales Maß in einer Ansicht hinzu. Die Bemaßung kann zwischen zwei Ecken liegen, die Länge einer Kante oder der horizontale Abstand zwischen zwei Kanten sein. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs zum eigentlichen 3D-Abstand geändert werden.

TechDraw Dimension Horizontal example.png

Längenbemaßung zweier beliebiger Knoten der Ansicht, der Abstand wird in horizontaler Richtung gemessen


Anwendung

  1. Punkte oder Kanten auswählen, die deine Messung festlegen.
  2. Drücke die TechDraw Dimension Horizontal.svg Horizontale Bemaßung Schaltfläche
  3. Eine Bemaßung wird der Ansicht hinzugefügt. Die Bemaßung kann an die gewünschte Position gezogen werden.

Begrenzungen

Bemaßungsobjekte sind anfällig für Probleme mit "topological naming". Weitere Informationen gibt es unter dem Werkzeug Längenbemaßung.

Eigenschaften

Diese Funktion hat die gleichen Eigenschaften wie das Werkzeug TechDraw Horizontale Längenbemassung. Weitere Angaben stehen auf der genannten Seite des Werkzeugs.

Programmierung

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das Werkzeug Horizontale Bemaßung kann sowohl in Makros als auch aus der Python Konsole mit den folgenden Funktionen verwendet werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)